Subject: Re: 23.0.60; OSX: make-network-process reuses existing file descriptors

From: Chong Yidong <[email-masked]>
Date: Wed, 13 Aug 2008 20:54:20 -0400

> > Commenting out a res_init call in process.c makes this go away for
> > me. I do not know what other consequences this has though:
>
> You can comment it out on Mac OS X, because calling `res_init' does
> not make sense at all on that platform.  Neither does linking
> libresolv.
>
>   http://lists.gnu.org/archive/html/emacs-devel/2007-11/msg01467.html
>   http://lists.gnu.org/archive/html/emacs-devel/2007-10/msg01254.html
>
> So, it turns out to be not only meaningless, but also harmful on a
> particular version (10.4) of Mac OS X.

I've undef'ed HAVE_LIBRESOLV and HAVE_RES_INIT in s/darwin.h, as you
suggested.  Thanks.